[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TWriter.OnWriteMethodProperty

Handler from writing method properties.

## Declaration

Source position: classesh.inc line 1609

`public property TWriter.OnWriteMethodProperty : TWriteMethodPropertyEvent read FOnWriteMethodProperty write FOnWriteMethodProperty;`

## Description

OnWriteMethodProperty can be set by an IDE or some streaming mechanism which handles dummy values for method properties; It can be used to write a real value to the stream which will be interpreted correctly when the stream is read. See TWriteMethodPropertyEvent for a description of the arguments.

## See also

TWriteMethodPropertyEvent |  | Callback for the TWriter.OnWriteMethodProperty event.
TReader.OnSetMethodProperty |  | Handler for setting method properties.